# Grantlee CMake configuration file - http://www.grantlee.org/

# Any changes in this file will be overwritten by CMake.

set(Grantlee_VERSION_MAJOR "0")
set(Grantlee_VERSION_MINOR "1")
set(Grantlee_VERSION_PATCH "6")

set(Grantlee_INSTALL_PREFIX "/usr")
set(Grantlee_INCLUDE_DIRS   "/usr/include")

if (MINGW)
  set(Grantlee_LIBRARY_DIR   "/usr/bin")
  set(Grantlee_PLUGIN_PATH   "/usr/lib")
else ()
  set(Grantlee_LIBRARY_DIR   "/usr/lib64")
  set(Grantlee_PLUGIN_PATH   "${Grantlee_LIBRARY_DIR}/")
endif ()

if (UNIX)
  if (APPLE)
    set(Grantlee_CORE_LIBRARY "${Grantlee_LIBRARY_DIR}/libgrantlee_core.dylib")
    set(Grantlee_GUI_LIBRARY "${Grantlee_LIBRARY_DIR}/libgrantlee_gui.dylib")
  else (APPLE)
    set(Grantlee_CORE_LIBRARY "${Grantlee_LIBRARY_DIR}/libgrantlee_core.so")
    set(Grantlee_GUI_LIBRARY "${Grantlee_LIBRARY_DIR}/libgrantlee_gui.so")
  endif (APPLE)
else (UNIX)
  if (MINGW)
    set(Grantlee_CORE_LIBRARY "${Grantlee_LIBRARY_DIR}/libgrantlee_core.dll")
    set(Grantlee_GUI_LIBRARY "${Grantlee_LIBRARY_DIR}/libgrantlee_gui.dll")
  else(MINGW)
    set(Grantlee_CORE_LIBRARY "${Grantlee_LIBRARY_DIR}/grantlee_core.lib")
    set(Grantlee_GUI_LIBRARY "${Grantlee_LIBRARY_DIR}/grantlee_gui.lib")
  endif(MINGW)
endif (UNIX)

set(Grantlee_CORE_LIBRARIES ${Grantlee_CORE_LIBRARY} ${QT_QTCORE_LIBRARIES} )
set(Grantlee_GUI_LIBRARIES ${Grantlee_GUI_LIBRARY} ${QT_QTGUI_LIBRARIES} )

# Now for the use file, which contains useful functions, sets up the project
set(Grantlee_USE_FILE "${Grantlee_PLUGIN_PATH}/grantlee/0.1/GrantleeUse.cmake")

